<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>disable</Nullable>

        <IsPackable>false</IsPackable>

        <TargetFramework>net8.0</TargetFramework>

        <LangVersion>12</LangVersion>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.8.0"/>
        <PackageReference Include="Moq" Version="4.20.70"/>
        <PackageReference Include="Shouldly" Version="4.2.1"/>
        <PackageReference Include="Xero.NetStandard.OAuth2" Version="3.31.0"/>
        <PackageReference Include="xunit" Version="2.6.2"/>
        <PackageReference Include="xunit.runner.visualstudio" Version="2.5.4">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
            <PrivateAssets>all</PrivateAssets>
        </PackageReference>
        <PackageReference Include="coverlet.collector" Version="6.0.0">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
            <PrivateAssets>all</PrivateAssets>
        </PackageReference>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\src\Application\Application.csproj"/>
        <ProjectReference Include="..\Tests.Common\Tests.Common.csproj"/>
        <ProjectReference Include="..\Tests.Domain\Tests.Domain.csproj"/>
        <ProjectReference Include="..\Tests.Infrastructure\Tests.Infrastructure.csproj"/>
    </ItemGroup>

    <ItemGroup>
        <Folder Include="Exceptions\"/>
    </ItemGroup>

</Project>
